use std::{env, io};

use winresource::WindowsResource;

fn main() -> Result<(), io::Error> {
    if env::var_os("CARGO_CFG_WINDOWS").is_some() {
        WindowsResource::new()
            .set_icon("res/tyrolienne.ico")
            .compile()?;
    }

    Ok(())
}
